### Method

# Gimp Item set_lock_content

#### Declaration [src]

    gboolean
    gimp_item_set_lock_content (
      GimpItem* item,
      gboolean lock_content
    )

#### Description [src]

Set the ‘lock content’ state of the specified item.

This procedure sets the specified item’s lock content state.

Available since: | 2.8

#### Parameters

`lock_content` | `gboolean`
| The new item ‘lock content’ state.

#### Return value

Returns: | `gboolean`
| TRUE on success.